.image {
  position: relative;
  margin: 0 auto;
  z-index: 1;
}

.image--absolute {
  position: absolute;
}

.image--cover,
.image--contain {
  .image__img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
  }
}

.image--cover {
  background-size: cover;

  .image__img {
    object-fit: cover;
  }
}

.image--contain {
  background-size: contain;

  .image__img {
    object-fit: contain;
  }
}

.no-object-fit {
  .image--contain, .image--cover {
    .image__img {
      display: none;
    }
  }
}

.image__img {
  display: block;
  max-width: 100%;
  backface-visibility: hidden;
  z-index: 1;
  opacity: 0;

  .image--loaded & {
    opacity: 1;
  }
}

/* Ratio */
.ratio {
  position: relative;

  &.ratio-1 { 
    padding-top: 100%;
  } 

  &.ratio-169 { 
    padding-top: 56.25%;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    object-position: center center;
  }

  &::before {
    content: '';
    display: block;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
  }
}

/* Square */
.ro-1::before {
  padding-top: 100%;
}

/* Rectangle */
.ro-2::before {
  padding-bottom: calc(575/765 * 100%);
}

.clear {

  &::before,
  &::after {
    content:' ';
    display: table;
  }

  &::after {
    clear: both;
  }
}

/* Common */
.hidden {
  display: none;
}

/* Visually hidden but read by screen readers */
.sr-only {
  display: block;
  height: 0;
  overflow: hidden;
  text-indent: -9999px;
  width: 0;
}

.icon,
.logo {
  position: relative;

  svg {
    display: block;
    height: 100%;
    width: 100%;
  }
}

.fill {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 0;
}
